# $Revision: 1.10.2.8 $, $Date: 2003/11/15 12:11:58 $

%include	/usr/lib/rpm/macros.python
Summary:	Eric3 is a full featured Python IDE
Summary(pl):	Eric3 - penowartociowe IDE dla Pythona
Name:		eric3
%define		tar_name	eric
Version:	3.3
%define snap 20031115
Release:	0.%{snap}.1
License:	GPL
Group:		X11/Development/Tools
# Source0:	http://www.die-offenbachs.de/detlev/files/%{tar_name}-%{version}.tar.gz
Source0:	http://www.die-offenbachs.de/detlev/snapshots/%{tar_name}-snapshot-%{snap}.tar.gz
# Source0-md5:	ad8b99f617944ef65d08d984a0371c66
URL:		http://www.die-offenbachs.de/detlev/eric3.html
BuildRequires:	python-PyQt-devel >= 3.7
BuildRequires:	qscintilla-devel >= 1.53
BuildRequires:	rpm-pythonprov
BuildRequires:	sip >= 3.7
%pyrequires_eq	python # python-modules ?
Requires:	python-PyQt >= 3.7
Obsoletes:	eric
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eric3 is a full featured Python IDE that is written in PyQt using the
QScintilla editor widget.

%description -l pl
Eric3 jest penowartociowym IDE dla Pythona napisanym w PyQt i
uywajcym edytora QScintilla.

%prep
# %%setup -q -n %{tar_name}-%{version}.tar.gz
%setup -q -n %{tar_name}-snapshot-%{snap}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}
python install.py -b %{_bindir} -d %{py_sitedir} -i $RPM_BUILD_ROOT
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
#find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README eric/Documentation/*
%attr(755,root,root) %{_bindir}/*
%dir %{py_sitedir}/%{name}
%{py_sitedir}/%{name}/*.py[co]
%dir %{py_sitedir}/%{name}/pixmaps
%{py_sitedir}/%{name}/pixmaps/*
%dir %{py_sitedir}/%{name}/Checks
%{py_sitedir}/%{name}/Checks/*.py[co]
%dir %{py_sitedir}/%{name}/Debugger
%{py_sitedir}/%{name}/Debugger/*.py[co]
%dir %{py_sitedir}/%{name}/DesignerTemplates
%{py_sitedir}/%{name}/DesignerTemplates/*.tmpl
%dir %{py_sitedir}/%{name}/DocumentationTools
%{py_sitedir}/%{name}/DocumentationTools/*.py[co]
%dir %{py_sitedir}/%{name}/Examples
%{py_sitedir}/%{name}/Examples/*.py[co]
%dir %{py_sitedir}/%{name}/Examples/Scripting
%dir %{py_sitedir}/%{name}/Helpviewer
%{py_sitedir}/%{name}/Helpviewer/*.py[co]
%dir %{py_sitedir}/%{name}/Icons
%{py_sitedir}/%{name}/Icons/*.py[co]
%dir %{py_sitedir}/%{name}/Preferences
%{py_sitedir}/%{name}/Preferences/*.py[co]
%dir %{py_sitedir}/%{name}/Project
%{py_sitedir}/%{name}/Project/*.py[co]
%dir %{py_sitedir}/%{name}/PyUnit
%{py_sitedir}/%{name}/PyUnit/*.py[co]
%dir %{py_sitedir}/%{name}/Refactoring
%{py_sitedir}/%{name}/Refactoring/*.py[co]
%dir %{py_sitedir}/%{name}/Scripting
%{py_sitedir}/%{name}/Scripting/*.py[co]
%dir %{py_sitedir}/%{name}/QScintilla
%{py_sitedir}/%{name}/QScintilla/*.py[co]
%dir %{py_sitedir}/%{name}/Tools
%{py_sitedir}/%{name}/Tools/*.py[co]
%dir %{py_sitedir}/%{name}/UI
%{py_sitedir}/%{name}/UI/*.py[co]
%dir %{py_sitedir}/%{name}/Utilities
%{py_sitedir}/%{name}/Utilities/*.py[co]
%dir %{py_sitedir}/%{name}/VCS
%{py_sitedir}/%{name}/VCS/*.py[co]
%dir %{py_sitedir}/%{name}/VCS/cvsPackage
%{py_sitedir}/%{name}/VCS/cvsPackage/*.py[co]
%dir %{py_sitedir}/%{name}/VCS/subversionPackage
%{py_sitedir}/%{name}/VCS/subversionPackage/*.py[co]
%dir %{py_sitedir}/%{name}/ViewManager
%{py_sitedir}/%{name}/ViewManager/*.py[co]
%dir %{py_sitedir}/%{name}/Wizards
%{py_sitedir}/%{name}/Wizards/*.py[co]
%{py_sitedir}/%{name}/Wizards/*.e3w
%dir %{py_sitedir}/%{name}/Wizards/ColorDialogWizard
%{py_sitedir}/%{name}/Wizards/ColorDialogWizard/*.py[co]
%dir %{py_sitedir}/%{name}/Wizards/FileDialogWizard
%{py_sitedir}/%{name}/Wizards/FileDialogWizard/*.py[co]
%dir %{py_sitedir}/%{name}/Wizards/FontDialogWizard
%{py_sitedir}/%{name}/Wizards/FontDialogWizard/*.py[co]
%dir %{py_sitedir}/%{name}/Wizards/InputDialogWizard
%{py_sitedir}/%{name}/Wizards/InputDialogWizard/*.py[co]
%dir %{py_sitedir}/%{name}/Wizards/MessageBoxWizard
%{py_sitedir}/%{name}/Wizards/MessageBoxWizard/*.py[co]

# Third party brm/bike - to separate package ?
# I have no idea that is that ...

%dir %{py_sitedir}/%{name}/ThirdParty/
%{py_sitedir}/%{name}/ThirdParty/*.py[co]

%dir %{py_sitedir}/%{name}/ThirdParty/brm
%{py_sitedir}/%{name}/ThirdParty/brm/*.py[co]

%dir %{py_sitedir}/%{name}/ThirdParty/brm/bike
%{py_sitedir}/%{name}/ThirdParty/brm/bike/*.py[co]

%dir %{py_sitedir}/%{name}/ThirdParty/brm/bike/parsing
%{py_sitedir}/%{name}/ThirdParty/brm/bike/parsing/*.py[co]

%dir %{py_sitedir}/%{name}/ThirdParty/brm/bike/query
%{py_sitedir}/%{name}/ThirdParty/brm/bike/query/*.py[co]

%dir %{py_sitedir}/%{name}/ThirdParty/brm/bike/refactor
%{py_sitedir}/%{name}/ThirdParty/brm/bike/refactor/*.py[co]

%dir %{py_sitedir}/%{name}/ThirdParty/brm/bike/transformer
%{py_sitedir}/%{name}/ThirdParty/brm/bike/transformer/*.py[co]



#NOTE: eric3 uses *.py files for it's own purposes
# so do not remove them from package
%{py_sitedir}/%{name}/*.py
%{py_sitedir}/%{name}/*/*.py
%{py_sitedir}/%{name}/*/*/*.py
%{py_sitedir}/%{name}/*/*/*/*.py
%{py_sitedir}/%{name}/*/*/*/*/*.py

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eric3.spec,v $
Revision 1.10.2.8  2003/11/15 12:11:58  matkor
- Snap  20031115. Release 1. STBR for RA.

Revision 1.10.2.7  2003/09/20 15:02:00  matkor
- Snap 20030920. Release 1. STBR for Ra-test.

Revision 1.10.2.6  2003/09/15 08:44:39  matkor
- Tested. Works better IMHO than 3.2. Release 1. STBR for Ra.

Revision 1.10.2.5  2003/09/14 15:38:22  matkor
- Snap 20030914. Not tested.

Revision 1.10.2.4  2003/08/18 14:21:48  matkor
- More fixes in files list. Obsoletes: eric

Revision 1.10.2.3  2003/08/18 11:04:24  matkor
- Updated files list. Release 2.

Revision 1.10.2.2  2003/08/18 10:32:20  matkor
- Merged changes from HEAD in naming scheme. Latest snap 20030817.

Revision 1.10.2.1  2003/08/14 19:46:45  ankry
- name changed to eric3, rel. 2

Revision 1.10  2003/08/09 13:14:04  luzik
 - added *.py files
 - fixed %install
 - TODO done

Revision 1.9  2003/08/09 08:20:23  matkor
- Requires:     python-PyQt >= 3.7, more TODO (sed adept needed)

Revision 1.8  2003/08/08 21:23:42  matkor
- Version 3.2. Added files list. Untested.

Revision 1.7  2003/06/16 15:03:24  ankry
- fixed md5
NOTE only 3.1 is available from the home site

Revision 1.6  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:47:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/11 09:23:59  qboosh
- qt-static is not necessary

Revision 1.3  2003/03/09 15:32:21  qboosh
- pl fixes, cleanup, clean BuildRoot before installing; is qt-static needed???

Revision 1.2  2003/02/28 10:07:50  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.1  2003/02/25 21:39:22  misiek
- initial pld release (spec by Maciej winiarski (luzik) <luzik@ds.pg.gda.pl>)
